<nav class="navbar navbar-expand-md navbar-dark fixed-top py-lg-0">
  <a class="navbar-brand d-flex align-items-center justify-content-center" href="/">
    <img src="<%= @items['/assets/images/gitlab-logo.svg'].path %>" alt="GitLab documentation home" class="logo" />
    <span class="d-none d-lg-block px-2">GitLab</span> <strong class="pl-2 pl-lg-0 pt-0">Docs</strong>
  </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <% if @item[:searchbar].nil? %>
          <% unless @item.identifier.to_s.split('/')[1] == 'search' %>
            <form class="form-inline my-2 my-lg-0" id="search-form" action="/search/" method="get">
              <span class="fa fa-search form-control-feedback position-absolute ml-2 text-muted"></span>
              <input class="form-control mr-sm-2 docsearch border-0"  name="query" type="search" placeholder="Search the docs..." aria-label="Search">
              <input type="submit" style="visibility: hidden; position:absolute;" />
            </form>
          <% end %>
        <% end %>
      </li>
    </ul>
    <ul class="navbar-nav">
      <li class="nav-item p-2 dropdown">
        <button class="btn dropdown-toggle text-white" type="button" id="navbarDropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <%= version_dropdown_title %>
        </button>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" <%= active_dropdown(ENV['CI_DEFAULT_BRANCH']) %> href='<%= @item.identifier.without_ext + '.html' %>' class="versions-tooltip"><%= dotcom %>
            <i class="fa fa-question-circle-o" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="Latest pre-release version of GitLab, with features available or about to become available on GitLab.com. For self-managed GitLab installations, select your version number as listed at your GitLab instance's /help URL."></i>
          </a>
          <% if display_previous_versions? %>
          <!-- Start of online versions -->
          <div class="dropdown-divider"></div>
          <% data_versions[:online].each do |version| %>
            <%= render '/partials/versions_list.*', version: version %>
          <% end %>
          <!-- End of online versions -->

          <!-- Start of last major versions -->
          <div class="dropdown-divider"></div>
          <% data_versions[:previous_majors].each do |version| %>
            <%= render '/partials/versions_list.*', version: version %>
          <% end %>
          <!-- End of last major versions -->

          <% end %>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" <%= active_dropdown('archives') %> href='/archives/'>Archives</a>
        </div>
      </li>
      <li class="nav-item p-2">
        <% if @item.identifier.to_s.split('/')[1] == 'omnibus' %>
        <%= render '/cta_omnibus.*' %>
      <% else %>
        <%= render '/cta.*' %>
      <% end %>
      </li>
    </ul>
  </div>
</nav>

